Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Python-Updater
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum
View previous topic :: View next topic  
Author Message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 188
Location: Kenzingen, Germany

PostPosted: Thu Oct 19, 2017 9:30 am    Post subject: Python-Updater Reply with quote

Der Python-Updater hat ja offenbar eine ähnliche Funktion wie der Perl-Cleaner, nur ist der Perl-Cleaner besser.
Warum wird vom Python-Updater nicht die Basis der installierten Python-Programme gepflegt, wie es bei Perl-Programmen und Perl-Cleaner der Fall ist?
Oder kann man das eventuell anders erreichen?
_________________
Languages: English, German
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2014
Location: Germany

PostPosted: Sat Nov 11, 2017 11:44 pm    Post subject: Reply with quote

Ich habe keine Ahnung. Hängt vielleicht damit zusammen wie sich die Abhängigkeiten verändern durch neue Version und wie gut die Module/Pakete abwärtskompatible sind. Die Abhängigkeiten genau zu berechnen oder zu berücksichtigen ist eine Kunst für sich und eine nicht triviale Angelegenheit. Besonders wenn man Ringabhängkeiten hat, die eigentlich ein Halteproblem erkennen sollten.

Ich hatte sowohl mit Python als auch mit Perl schon ärger. So das mir weder ein Perl-Cleaner noch Emerge aus dem Update-Problem heraus geholfen hat. Letztlich hab ich alle PERL-Pakete installiert und die neuen blank installiert.

Das geht bei Python so ja nicht (da hab ich das mal versucht und hatte die Emerge oder Toolchain zerschossen. ;) - aber mittlerweile Zeigt emerge da eine Warnung und man kann mit STRG + c abbrechen bevor der Vorgang startet.

Meistens funktionieren aber beide ganz gut. Python ist mir sympathischer weil ich es oft logischer finde auch mit den Slots für die unterschiedlichen Versionen und das in jedem Pythonscript quasi schon steht welche Version es braucht etc.

Perl ist eine sehr unpopuläre Skriptsprache aber ich denke das hat Perl zu unrecht. Ich vergesse nur die Syntax zu schnell, vielleicht geht es vielen so. Aber in der Regel ist man da schnell wieder drin, wenn man sich kurz rein liest.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum